print_off()

rtsetparams(44100, 2)

load("./RTcmix/libs/libMSHAKERS.so")
load("./RTcmix/libs/libFLANGE.so")
load("./RTcmix/libs/libPANECHO.so")
load("./RTcmix/libs/libSPLITTER.so")

bus_config("MSHAKERS", "aux 0-1 out")
bus_config("SPLITTER", "aux 0-1 in", "aux 2-3 out", "aux 4-5 out")
bus_config("MIX", "aux 2-3 in", "out 0-1")
bus_config("FLANGE", "aux 4-5 in", "aux 6-7 out")
bus_config("PANECHO", "aux 6-7 in", "out 0-1")

srand()

beat = 0.5

amp = 25000

durs = { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0.5, 0.5, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0.5, 0.5, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1 }

tdur = 0
for (i = 0; i < len(durs); i += 1) tdur += durs[i]
tdur *= beat
// do it 2X
tdur *= 2

shinc = 0.1
inst = trand(0, 3.99)
st = irand(5*beat, 15*beat)
while (st < tdur) {
	nshakes = trand(3, 7)
	offset = 0
	for (i = 0; i < nshakes; i += 1) {
		MSHAKERS(st+offset, 0.1, amp, 0.9, 0.5, 0.8, 0.7, inst)
		offset += shinc
	}

	st += irand(5*beat, 15*beat)
}


// flange + panecho
SPLITTER(0, 0, st, 1, 0, 1.2, 0, 2.5, 0)
SPLITTER(0, 0, st, 1, 1, 0, 1.2, 0, 2.5)

fwave = maketable("wave", 10000, "sine")

amp  = 0.7
c0del = irand(0.4, 0.7)
c1del = irand(0.2, 0.45)

FLANGE(0, 0, st, amp, 0.02, 0.005, 70, 0.4, 1, "iir", 0, 0.5, 1.0, fwave)

PANECHO(0, 0, st, 0.7, c0del, c1del, 0.8, 5.0, 0)

MIX(0, 0, st, 1, 0, 1)

