print_off()
// start new melody 35000 ms after this trigs

rtsetparams(44100, 2)

load("./RTcmix/libs/libIIR.so")
load("./RTcmix/libs/libMSHAKERS.so")

srand()


// the winds
env = maketable("line", 1000, 0,0, 1,1, 2,0)
amp = 10000

tdur = 49
st = 0.0
hop = 10
firsttime = 1
for (i = 0; i < tdur; i += hop) {

	dur = irand(hop, 1.5*hop)
	setup(irand(200, 500), irand(10, 50), 1)
	rst = st+irand(0, hop/2)
	if (firsttime == 1) {
		rst = 0
		firsttime = 0
		dur = 1.5*dur
	}
	NOISE(rst, dur, amp*env, 0.0)
	NOISE(rst+0.2, dur, amp*env, 1.0)

	st += hop
}


// the shakes
amp = 30000

nshakes = trunc(irand(10, 20))

st = irand(0, 35)
beat = 0.5
tvar = 0.035
for (i = 0; i < nshakes; i += 1) {
	MSHAKERS(st+irand(0, tvar), 0.5, amp*i/nshakes, 0.9, 0.9, 0.3, 0.5, 7, 0.5*(i/nshakes))
	MSHAKERS(st+irand(0, tvar), 0.5, amp*i/nshakes, 0.9, 0.9, 0.3, 0.6, 7, 0.5*(i/nshakes))
	st += beat
}

for (i = 0; i < nshakes; i += 1) {
	MSHAKERS(st+irand(0, tvar), 0.5, amp*(nshakes-i)/nshakes, 0.9, 0.9, 0.3, 0.5, 7, 0.5*(i/nshakes)+0.5)
	MSHAKERS(st+irand(0, tvar), 0.5, amp*(nshakes-i)/nshakes, 0.9, 0.9, 0.3, 0.6, 7, 0.5*(i/nshakes)+0.5)
	st += beat
}


